Summary: Let linuxconf ignore locale.
%define NAME linuxconfwrapper
Name: %NAME
Version: 1
Release: 1
Copyright: GPL
Group: Utilities/System
Packager: iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
BuildRoot: /usr/src/redhat/BUILD/%NAME
Requires: linuxconf
BuildArch: noarch

%description
    This package let linuxconf run under C locale.   If your linuxconf program warns
    no message or help catalogs for your locale, this wrapper is useful to calm it.

%changelog
* Fri Apr 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- first build

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/bin/%NAME
cd $RPM_BUILD_ROOT/bin/%NAME

cat <<_EOL_ > linuxconf.sh
#! /bin/sh

LANG=C exec /bin/%NAME/linuxconf
_EOL_

chmod 700 linuxconf.sh

%post
cd /bin
if [ "$1" = 1 -a -f linuxconf ]; then
  mv linuxconf %NAME/
  ln -s %NAME/linuxconf.sh linuxconf
fi

%preun
cd /bin/%NAME
if [ "$1" = 0 -a -f linuxconf ]; then
  rm ../linuxconf
  mv linuxconf ..
fi

%files
%dir /bin/%NAME
     /bin/%NAME/linuxconf.sh
